hakyll-4.7.5.1: A static website compiler library

Safe Haskell | None
Language | Haskell98

Hakyll.Web.Pandoc.FileType

Description

A module dealing with pandoc file extensions and associated file types

Synopsis

- data FileType
  - = Binary
  - | Css
  - | DocBook
  - | Html
  - | LaTeX
  - | LiterateHaskell FileType
  - | Markdown
  - | MediaWiki
  - | OrgMode
  - | PlainText
  - | Rst
  - | Textile
- fileType :: FilePath -> FileType
- itemFileType :: Item a -> FileType

# Documentation

data FileType Source

Datatype to represent the different file types Hakyll can deal with by default

Constructors

Binary |
Css |
DocBook |
Html |
LaTeX |
LiterateHaskell FileType |
Markdown |
MediaWiki |
OrgMode |
PlainText |
Rst |
Textile |

Instances

Eq FileType Source |
Ord FileType Source |
Read FileType Source |
Show FileType Source |

fileType :: FilePath -> FileType Source

Get the file type for a certain file. The type is determined by extension.

itemFileType :: Item a -> FileType Source

Get the file type for the current file